<?php class Fd11eca7e extends Fce7d17ec { function F4379e9d3() { $Vf618483e = empty( $this->Vf618483e) ? 'database' : $this->Ff618483e();
$V47826cac = '../.wa-database/.'.$Vf618483e.'.sqlite'; $V5f8f22b8 = dirname( $V47826cac ); if ( !file_exists( $V5f8f22b8 ) && !mkdir( $V5f8f22b8, 0777, true ) ) {
 echo F372f5133( null, null, false, "Can not create database file path '$V47826cac'" ); exit(); } return $V47826cac;
} function F6e76364f() { return function_exists( "sqlite_query" ); } function F4499a6ec() { return C90737d27;
} function F88245754() { return 'SQLite'; } function Ff69a84a6( $V518a4861 ) { switch ( $V518a4861 ) {
 case Cf7ed7db4: return true; } return false; } function F7cef8a73() { if ( $this->F5e7466a3() ) {
 return true; } $this->Ve1260894= sqlite_open( $this->F4379e9d3(), 0666, $Ve0273469 ); $this->V5e7466a3= $this->Fe1260894() !== false;
 return $this->F5e7466a3(); } function Fd144b693() { if ( $this->F5e7466a3() ) { return true; }
 return $this->F7cef8a73(); } function F716f6b30() { if ( !$this->F5e7466a3() ) { return true; }
 @sqlite_close( $this->Fe1260894() ); $this->Ve1260894= null; $this->V5e7466a3= false; return true;
} function Fb2b487d1() { return $this->F5e7466a3() ? @sqlite_error_string( @sqlite_last_error( $this->Fe1260894() ) ).' - Error #'.@sqlite_last_error( $this->Fe1260894() )
 : null ; } function F56859aa7() { if ( !$this->F5e7466a3() ) { return false; } return array( $this->Ff618483e() );
} function F52fb3679( $V1b1cc7f0 ) { if ( !$this->F5e7466a3() ) { return false; } $Vb4a88417 = @sqlite_query( $this->Fe1260894(), $V1b1cc7f0 );
 if ( !$Vb4a88417 ) { return false; } return new Fcd69f2e2( $this, $Vb4a88417 ); } function Fe10081ea() {
 if ( !$this->F5e7466a3() ) { return false; } $Vb4a88417 = $this->F52fb3679( "SELECT NAME FROM SQLITE_MASTER WHERE TYPE = 'table'" );
 if ( !$Vb4a88417 ) { return false; } $V9ab2ec7e = array(); while ( $Vb4a88417->Fa0d696df() ) { $Vf1965a85 = $Vb4a88417->Fde17f0f2( C82dea639 );
$V9ab2ec7e[] = $Vf1965a85[ 0 ]; } return $V9ab2ec7e; } function F69431bdf() { return $this->F5e7466a3() ? @sqlite_last_insert_rowid( $this->Fe1260894() ) : -1;
} function Fe0ebc3c4( $V9a0364b9 ) { return sqlite_escape_string( parent::Fe0ebc3c4( $V9a0364b9 ) );
} function Ff4d5b76a() { return true; } function Ffffca4d6() { return true; } function Ffff66e9b() {
 return true; } } ?>